#include "MirfSpiDriver.h"

#ifndef __MIRF_SOFTWARE_SPI_DRIVER
#define __MIRF_SOFTWARE_SPI_DRIVER 

class MirfSoftwareSpiDriver : public MirfSpiDriver {
	public: 
		uint8_t miso_pin;
		uint8_t mosi_pin;
		uint8_t sck_pin;
		virtual uint8_t transfer(uint8_t data);
		virtual void begin();
		virtual void end();
                virtual void set_pins(uint8_t sck, uint8_t mosi, uint8_t miso);
};

extern MirfSoftwareSpiDriver MirfSoftwareSpi;

#endif
